package com.sunxung.factoring.entity.acceptance;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.customerinformation.ElectronicSignaturePersonal;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * --验收单签署确认历史表
 * </p>
 *
 * @author liutao
 * @since 2023-06-12
 */
@TableName("acceptance_sign_confirmation_history")
public class AcceptanceSignConfirmationHistory extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 验收单-基础信息表ID
     */
    @TableField("c_acceptance_basic_info_id")
    private Long acceptanceBasicInfoId;

    /**
     * 合同链接
     */
    @TableField("contract_link")
    private String contractLink;

    /**
     * 客户合同链接短连接
     */
    @TableField("short_contract_link")
    private String shortContractLink;

    /**
     * 短链接创建时间
     */
    @TableField("short_contract_link_create")
    private Date shortContractLinkCreate;

    /**
     * 签署结论 1完成
     */
    @TableField("sign_conclusion")
    private Integer signConclusion;

    /**
     * 说明
     */
    @TableField("remark")
    private String remark;

    @TableField(exist = false)
    private List<AcceptanceSignConfirmationGoodsInfo> acceptanceSignConfirmationGoodsInfos;

    @TableField(exist = false)
    private ElectronicSignaturePersonal electronicSignaturePersonal;

    @TableField(exist = false)
    private List<AcceptanceSignConfirmationElectronicInfoHistory> acceptanceSignConfirmationElectronicInfoHistories;

    public ElectronicSignaturePersonal getElectronicSignaturePersonal() {
        return electronicSignaturePersonal;
    }

    public void setElectronicSignaturePersonal(ElectronicSignaturePersonal electronicSignaturePersonal) {
        this.electronicSignaturePersonal = electronicSignaturePersonal;
    }

    public List<AcceptanceSignConfirmationElectronicInfoHistory> getAcceptanceSignConfirmationElectronicInfoHistories() {
        return acceptanceSignConfirmationElectronicInfoHistories;
    }

    public void setAcceptanceSignConfirmationElectronicInfoHistories(List<AcceptanceSignConfirmationElectronicInfoHistory> acceptanceSignConfirmationElectronicInfoHistories) {
        this.acceptanceSignConfirmationElectronicInfoHistories = acceptanceSignConfirmationElectronicInfoHistories;
    }

    public List<AcceptanceSignConfirmationGoodsInfo> getAcceptanceSignConfirmationGoodsInfos() {
        return acceptanceSignConfirmationGoodsInfos;
    }

    public void setAcceptanceSignConfirmationGoodsInfos(List<AcceptanceSignConfirmationGoodsInfo> acceptanceSignConfirmationGoodsInfos) {
        this.acceptanceSignConfirmationGoodsInfos = acceptanceSignConfirmationGoodsInfos;
    }

    public Long getAcceptanceBasicInfoId() {
        return acceptanceBasicInfoId;
    }

    public void setAcceptanceBasicInfoId(Long acceptanceBasicInfoId) {
        this.acceptanceBasicInfoId = acceptanceBasicInfoId;
    }
    public String getContractLink() {
        return contractLink;
    }

    public void setContractLink(String contractLink) {
        this.contractLink = contractLink;
    }
    public String getShortContractLink() {
        return shortContractLink;
    }

    public void setShortContractLink(String shortContractLink) {
        this.shortContractLink = shortContractLink;
    }

    public Date getShortContractLinkCreate() {
        return shortContractLinkCreate;
    }

    public void setShortContractLinkCreate(Date shortContractLinkCreate) {
        this.shortContractLinkCreate = shortContractLinkCreate;
    }

    public Integer getSignConclusion() {
        return signConclusion;
    }

    public void setSignConclusion(Integer signConclusion) {
        this.signConclusion = signConclusion;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "AcceptanceSignConfirmationHistory{" +
            "acceptanceBasicInfoId=" + acceptanceBasicInfoId +
            ", contractLink=" + contractLink +
            ", shortContractLink=" + shortContractLink +
            ", shortContractLinkCreate=" + shortContractLinkCreate +
            ", signConclusion=" + signConclusion +
            ", remark=" + remark +
        "}";
    }
}
